:root {
  --light-gray: #f4f4f4;
  --dark-slate: #1c1c1c;
  --warm-yellow: #ffd43b;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Lato", sans-serif;
}

header {
  margin-top: 20px;
  position: sticky;
  top: 0;
}

nav {
  background-color: var(--light-gray);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: 0 80px;
  padding: 15px 50px;
  border-radius: 50px;
}

.navbar {
  display: flex;
  align-items: center;
}

ul {
  display: flex;
  flex-direction: row;
}

li {
  list-style: none;
  padding: 10px 20px;
}

li a {
  text-decoration: none;
  font-size: 16px;
  color: var(--dark-slate);
  transition: all 0.5sm ease;
}

li a:hover {
  color: var(--warm-yellow);
  text-decoration: underline;
  text-decoration-thickness: 3px;
}

.logo a {
  text-decoration: none;
}

.logo a h1 {
  font-size: 32px;
  font-weight: bold;
  font-style: italic;
  color: var(--dark-slate);
}

.btn {
  padding: 10px 30px;
  background-color: var(--warm-yellow);
  font-size: 16px;
  color: var(--dark-slate);
  border: none;
  border-radius: 30px;
  font-weight: 500;
  cursor: pointer;
}

.wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: 30px 100px;
  gap: 30px;
}

.heading {
  font-size: 60px;
  font-weight: 900;
  color: var(--dark-slate);
  line-height: 70px;
}

.heading2 {
  font-size: 60px;
  font-weight: 900;
  color: var(--dark-slate);
  line-height: 70px;
  text-align: center;
  padding-top: 180px;
}

.portfolio-description {
  text-align: center;
  width: 60%;
  margin: 10px auto 0 auto;
}

.btn2 {
  padding: 10px 30px;
  background-color: var(--warm-yellow);
  font-size: 16px;
  color: var(--dark-slate);
  border: none;
  border-radius: 30px;
  font-weight: 500;
  margin-top: 20px;
  cursor: pointer;
}

.stats {
  display: flex;
  flex-direction: row;
  margin-top: 15px;
}

.box {
  margin-right: 30px;
}

.num {
  font-size: 48px;
  font-weight: 900;
  color: var(--warm-yellow);
}

#services-section {
  background-color: var(--light-gray);
}

.space {
  width: 50%;
}

.space2 {
  width: 40%;
}

.subheading {
  font-size: 32px;
  color: var(--dark-slate);
}

.top-align {
  align-items: flex-start;
  padding-top: 50px;
}

.card {
  background-color: #fff;
  border-radius: 30px;
}

.card-title {
  font-size: 24px;
  color: var(--dark-slate);
  text-align: center;
  margin: 30px 20px 5px 20px;
}

.card-description {
  font-size: 16px;
  color: var(--dark-slate);
  text-align: center;
  margin: 0 20px 15px 20px;
}

.card img {
  margin: 0 20px 30px 20px;
}

#services-section a {
  display: block;
  width: 200px;
  margin: 0 auto;
  padding-bottom: 30px;
}

.about-card-1 {
  background-color: var(--light-gray);
  margin-bottom: 10px;
  border-radius: 100px;
  padding: 20px 30px;
}

.subtext {
  font-style: italic;
}

footer {
  background-color: var(--light-gray);
  margin: 20px 100px 10px 100px;
  border-radius: 50px;
}

.footer-text {
  text-align: center;
  padding: 20px;
  font-weight: 600;
  color: var(--dark-slate);
}

.hero-decoration {
  position: absolute;
  top: 0;
  z-index: -1;
}

.portfolio-decoration {
  position: absolute;
  top: 0;
  left: 400;
  z-index: -1;
}

#portfolio-section a {
  display: block;
  width: 160px;
  margin: 0 auto;
  padding-bottom: 30px;
}

#contact-section {
  background-color: var(--light-gray);
}

form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 50px;
  padding-bottom: 10px;
  width: 50%;
}

input {
  width: 100%;
  font-size: 16px;
  font-weight: 400;
  padding: 10px;
  margin-bottom: 10px;
  background-color: var(--warm-yellow);
  border: none;
  color: var(--dark-slate);
  border-radius: 30px;
}

textarea {
  width: 100%;
  font-size: 16px;
  font-weight: 400;
  padding: 10px;
  margin-bottom: 20px;
  background-color: var(--warm-yellow);
  border: none;
  color: var(--dark-slate);
  border-radius: 30px;
}
